Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class PartyIdentificationSDD4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.PartyIdentificationSDD4

    public class PartyIdentificationSDD4
    extends java.lang.Object

Java class for PartyIdentificationSDD4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSDD4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:swift:xsd:$pain.008.002.01}PartySDD"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartySDD` `id`

### Constructor Summary

Constructors
`PartyIdentificationSDD4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartySDD` `getId()` Gets the value of the id property.
`void` `setId​(PartySDD value)` Sets the value of the id property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected PartySDD id

### Constructor Detail

#### PartyIdentificationSDD4

    public PartyIdentificationSDD4()

### Method Detail

#### getId

    public PartySDD getId()

Gets the value of the id property.

Returns:
  possible object is `PartySDD`

#### setId

    public void setId​(PartySDD value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartySDD`